#ifndef __BORROW_LIFE_H__
#define __BORROW_LIFE_H__

#include "potion.h"

class borrow_life final: public potion {
        static const int GIVE_HP = 50;
        static const int LOSE_HP = 55;
        static const int DURATION = 25;
public:
        borrow_life(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
